<!DOCTYPE html>
<html lang="es">
<head>
  <?php require_once "./php/url.php" ?>

  <!-- Metadata & Essential styles and scripts -->
  <?php require_once "./php/headEssential.php" ?>

  <!-- Styles -->
  <link href="./css/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
  <link href="./css/fileinput.css" rel="stylesheet" type="text/css" media="all" />

  <!-- Scripts -->
  <script src="./js/jquery.dataTables.min.js"></script>
  <script src="./js/dataTables.bootstrap.js"></script>
  <script src="./js/jquery.form.js"></script>
  <script src="./js/fileinput.js"></script>
  <script src="./js/gitversion.js"></script>
  <script src="./js/hwcrypto-legacy.js"></script>
  <script src="./js/hwcrypto.js"></script>
  <script src="./js/hex2base.js"></script>
  <script src="./js/enableDataTable.js"></script>

</head>
<body>

  <!-- Header -->
  <?php require_once "./php/header.php" ?>

  <!-- Scrips to sign -->
  <script src="./js/partial-1.js"></script>
  <script src="./js/partial-2.js"></script>
  <script src="./js/partial-3.js"></script>
  <script src="./js/partial-4.js"></script>
  <script src="./js/resetButtonsEvent.js"></script>
  <script src="./js/handlerJSON.js"></script>
  <script src="./js/handlerJSONBDOC.js"></script>
  <script src="./js/manejoExtension.js"></script>

  <!-- Navbar -->
  <?php require_once "./php/navbar.php" ?>

  <!-- Main -->
  <main class="container">
    <div id="operation">
      <ul id="tabs-operation" class="nav nav-tabs mt-6" data-tabs="tabs">
        <li class="nav-item">
          <a class="nav-link d-none" href="#firmar" data-toggle="tab">Firmar con token</a>
        </li>
        <li>
          <a class="nav-link" href="<?php returnURL(); ?>/php/sign.php">Firmar con .p12</a>
        </li>
        <li>
          <a class="nav-link active" href="#verificar" data-toggle="tab">Verificar</a>
        </li>
      </ul>

      <div id="operation-tab-content" class="tab-content py-4">

        <!-- Tab: Firmar con Token -->
        <div id="firmar" class="tab-pane">
          <div class="row">
            <div class="col-12">
              <h2 class="text-center py-3 font-weight-bold text-dark">
                Firmar Electrónicamente <span class="text-primary">eToken</span>
              </h2>
            </div>
          </div>
          <div class="row">
            <div class="col-10 offset-1 col-md-8 offset-md-2 pt-4">
              <p class="text-center mb-1">Seleccione el tipo de formato que va a utilizar para firmar electrónicamente:</p>
              <div class="kv-main">
                <form id="firmar" name="SignFormat" action="https://murachi.cenditel.gob.ve/Murachi/0.1/archivos"
                      enctype="multipart/form-data" method="post"
                >
                  <div class="custom-control custom-radio">
                    <input id="radioOne" class="custom-control-input" type="radio" name="optradio" value="pdf" checked />
                    <label class="custom-control-label" for="radioOne"  >PDF</label>
                  </div>
                  <div class="custom-control custom-radio">
                    <input id="radioTwo" class="custom-control-input" type="radio" name="optradio" value="bdoc" />
                    <label class="custom-control-label" for="radioTwo"  >BDOC</label>
                  </div>
                  <div class="py-4">
                    <p class="text-center mb-3">Seleccione el archivo que desea firmar electrónicamente:</p>
                    <input id="file-sign" class="file" name="upload" type="file" data-min-file-count="1"
                           onclick="manejoExtension()"
                    />
                  </div>
                  <button type="submit" class="btn btn-primary btn-block"> Enviar </button>
                  <!-- <button id="reset" class="btn btn-outline-secondary btn-block" type="reset"> Limpiar </button> -->
                </form>
              </div>
            </div>
          </div>
        </div>

        <!-- Tab: Verificar firma -->
        <div id="verificar" class="tab-pane active">
          <h2 class="text-center py-3 font-weight-bold text-dark">Verificar la firma electrónica</h2>
          <div class="row">
            <div class="col-10 offset-1 col-md-8 offset-md-2 pt-4">
              <div class="kv-main">
                <form id="verificar" method="post" action="https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/firmados"
                      enctype="multipart/form-data"
                >
                  <p class="text-center">Seleccione el archivo que desea verificar:</p>
                  <div class="py-4">
                    <input id="file-check-sign" class="file" type="file" multiple data-min-file-count="1" name="upload" />
                  </div>
                  <button type="submit" class="btn btn-primary btn-block button-please-wait"> Verificar </button>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>

  <!-- Logs -->
  <section id="logs" class="container">
    <div class="row">
      <div id="log" class="col-12 text-info text-center py-2"></div>
      <div id="respuesta" class="col-12 text-info text-center py-2"></div>
      <div id="respuestaVerificacion" class="col-12 text-info text-center py-2"></div>
    </div>
  </section>

  <!-- Footer -->
  <?php require_once "./php/footer.php" ?>

</body>
</html>